Bug 164958 - ldap_start_tls() doesn't fail gracefully
ldap_start_tls() doesn't fail gracefully
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Safranek
:
: 164413 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-02 22:31 EDT by Miloslav Trmač
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.3.34-0.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-17 10:48:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miloslav Trmač 2005-08-02 22:31:01 EDT
+++ This bug was initially created as a clone of Bug #137581 +++

Description of problem:
It should be possible to issue ldap_start_tls_s() against an OpenLDAP
server that is not configured for TLS and simply have TLS not be
negotiated.  Unfortunately, this is not the case: the connection to
the LDAP server becomes unusable.   You can test this quite easily
with ldapsearch:

Version-Release number of selected component (if applicable):
openldap-2.2.23-5

How reproducible:
Always

Steps to Reproduce:
1. Install openldap and make sure that the TLS lines are commented out
in /etc/openldap/slapd.conf
2. Start the ldap server
3. Run, for example, "ldapsearch -Zxh localhost objectclass=*"
    

Actual Results:  Instead of getting something, anything, back from the
LDAP server you get an error like this:

ldap_start_tls: Connect error
        additional info: error:14077410:SSL
routines:SSL23_GET_SERVER_HELLO:sslv3 alert handshake failure
ldap_bind: Can't contact LDAP server
        additional info: error:14077410:SSL
routines:SSL23_GET_SERVER_HELLO:sslv3 alert handshake failure


Expected Results:  An indication that TLS cannot be negotiated, and
then carry on without TLS.  The "-ZZ" option for ldapsearch requires
that TLS is negotiated.
Comment 1 Miloslav Trmač 2005-08-02 22:35:08 EDT
*** Bug 164413 has been marked as a duplicate of this bug. ***
Comment 2 Christian Iseli 2007-01-19 19:53:03 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Miloslav Trmač 2007-07-17 10:48:32 EDT
This works fine on FC7 (openldap-2.3.34-0.fc7).

Note You need to log in before you can comment on or make changes to this bug.